> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetzy.es/llms.txt
> Use this file to discover all available pages before exploring further.

# Iniciar una llamada

> API that start a call using a pre-trained playbook.

## Descripción General

Este endpoint inicia una llamada saliente usando un playbook pre-entrenado. La llamada se realizará usando tu número de teléfono configurado y la IA seguirá las instrucciones del playbook.

## Control de Versiones

Por defecto, este endpoint usa la **versión de producción** de tu playbook. Esto asegura que todas las llamadas API usen la misma configuración que has designado como lista para producción en el dashboard.

<Tip>
  Opcionalmente puedes especificar un parámetro `version_id` para usar una versión específica de tu playbook. Esto es útil para probar nuevas versiones antes de marcarlas como producción. Ver [Versionado de Agentes](/api-reference/endpoint/versioning) para más detalles.
</Tip>

### Comportamiento por Defecto

Cuando llamas a este endpoint sin un `version_id`:

1. El sistema busca la **versión de producción** del playbook
2. Si la encuentra, usa la configuración de esa versión (prompt, voz, ajustes, etc.)
3. Si no existen versiones, usa la configuración actual del playbook

### Usar una Versión Específica

```json theme={null}
{
  "phone": "+34600000000",
  "playbook_id": "your-playbook-id",
  "version_id": "optional-version-uuid"
}
```

## Respuesta

Una respuesta exitosa incluye el ID de llamada que puedes usar para rastrear el estado:

```json theme={null}
{
  "success": true,
  "id": "call-uuid",
  "message": "Call processing started"
}
```


## OpenAPI

````yaml POST /call
openapi: 3.0.1
info:
  title: OpenAPI Flark
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: Private
  version: 2.0.0
servers:
  - url: https://api.meetzy.io
security:
  - bearerAuth: []
paths:
  /call:
    post:
      description: API that start a call using a pre-trained playbook.
      requestBody:
        description: Params to execute the call
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Call'
        required: true
      responses:
        '200':
          description: Call response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/POST_CallResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Call:
      required:
        - phone
        - playbook_id
      type: object
      properties:
        phone:
          description: The phone to call with country prefix (e.g. +34600000000).
          type: string
        playbook_id:
          description: >-
            The id of the playbook you want to use to make the call. You can get
            the list of playbooks using your dashboard (/playbook endpoint will
            be available soon).
          type: string
        version_id:
          description: >-
            Optional. The ID of a specific playbook version to use for this
            call. If not provided, the system will automatically use the version
            marked as 'production'. This allows you to test specific versions or
            use historical configurations.
          type: string
        voice_id:
          description: >-
            The number of the voice to use (values: 1, 2, 3, 4, 5, 6, 7) -
            Default 6.
          type: string
        voice_model:
          description: >-
            Choose from our speech models: - 'fast' (less latency, nice voices)
            or 'human' (our natural sounding voices - (beta)) - Default model:
            'human'
          type: string
        language:
          description: >-
            The language used by Flark during the call (values: ES, EN, FR, DE,
            IT, PT, ...) - Default ES.
          type: string
        interrupt:
          description: If the user can interrupt to the IA during the call - Default false.
          type: boolean
        <custom_param_1>:
          description: >-
            A custom param like email, firstname, lastname, email,
            program_of_insterest, etc. Flark will use this param to personalize
            the call.
          type: string
        <custom_param_2>:
          description: >-
            A custom param like email, firstname, lastname, email,
            program_of_insterest, etc. Flark will use this param to personalize
            the call.
          type: string
        <custom_param_N>:
          description: >-
            You can add as many custom params as you want. Flark will use this
            param to personalize the call.
          type: string
    POST_CallResponse:
      type: object
      properties:
        id:
          description: The id of a the call
          type: string
        success:
          description: If the call started successfully or not
          type: boolean
        message:
          description: The message explaining the result of the call initiation
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          description: If the call started successfully or not
          type: boolean
        message:
          description: The message explaining why the call initiation failed
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````